Revise Sorting of Notifications on the Fly-Out Menus
Closed, ResolvedPublic

Description

Translatable version at https://www.mediawiki.org/wiki/Notifications/Sorting_schemes (with slightly simpler details)

Proposal:
There are currently two Notification fly-out menus, one for Alerts and one for Messages. Different notification types show up on different menus. There have been criticism over time that the scheme for dividing up the messages is unclear and/or inconsistent. These criticisms include the following:

  • Ideas of urgency and requiring follow up are mingled, making it difficult to explain or predict why different items are where.
  • Currently, "Alert" items are automatically marked as read on open. Yet some of these require follow-up or other action to be fully understood (e.g., Mention), so this feature's value is not always clear.
  • Because alerts are perceived as Urgent, Thank Yous and other items seem out of place in the Alerts list.

Goals:

  • To create a scheme that conforms with and facilitates editors goals.
  • To create a scheme that is easy to understand, learn and predict.
  • To give editors clearer information about their new notifications.
  • To reduce unnecessary distraction from non-urgent notifications.
  • Something that works well for editors who get large (and small) quantities of notifications.
  • Something that scales well, as new (requested) notification types are created.
  • Something that scales well, once cross-wiki notifications are available

Proposed Alternative Schemes

To see the current division and three alternatives the Collab team has been working on, please see this spreadsheet https://docs.google.com/spreadsheets/d/1eVQVbzVhhVejEMnVqRBC98weBnfrnZqcGExlImsbBUk/edit?usp=sharing , (or a simplified version below, which does not include a 4th more complex option). The lower half of the spreadsheet shows comments about the pros and cons of each scheme.

#1: CURRENT DIVISION#2: URGENT VS. NONURGENT#3: FOLLOW UP REQUIRED VS. NO FOLLOW UP
View Mockup of this Concept in ActionView a Mockup of this Concept In Action
ALERTSMESSAGESALERTSNOTICESALERTSFOR FOLLOW UP
welcomeedit-user-talkedit-user-talkwelcomewelcomeedit-user-talk
revertedflow-new-topicrevertedpage-linkedpage-linkedreverted
page-linkedflow-post-replymentionflow-new-topicuser-rightsmention
mentionflow-post-editeduser-rightsflow-post-replyflow-topic-renamedflow-new-topic
user-rightsflow-topic-renamedemailuserflow-topic-renamedflow-enabled-on-talkpageflow-post-reply
emailuserflow-mentionflow-post-editededit-thankedit-thankflow-post-edited
flow-enabled-on-talkpageflow-mentionflow-thankflow-thankflow-mention
edit-thankflow-enabled-on-talkpagegather-approvegather-unhidegather-hide
flow-thankgather-hidepagetriage-mark-as-reviewedgather-approveep-course-talk-notification
gather-hidegather-unhideep-course-talk-notificationpagetriage-mark-as-reviewedunsubscribe-bouncehandler
gather-unhidepagetriage-add-maintenance-tagcx-first-translationpagetriage-add-maintenance-tagemailuser
gather-approvepagetriage-add-deletion-tagcx-tenth-translationpagetriage-add-deletion-tag
pagetriage-mark-as-reviewedep-student-add-notificationcx-hundredth-translationep-student-add-notification
pagetriage-add-maintenance-tagep-instructor-add-notificationosm-instance-build-completedep-instructor-add-notification
pagetriage-add-deletion-tagep-campus-add-notificationosm-instance-reboot-completedep-campus-add-notification
ep-course-talk-notificationep-online-add-notificationosm-instance-deletedep-online-add-notification
ep-student-add-notificationunsubscribe-bouncehandlerosm-projectmembers-addcx-first-translation
ep-instructor-add-notificationflowusertalk-new-topiccx-tenth-translation
ep-campus-add-notificationflowusertalk-post-replycx-hundredth-translation
ep-online-add-notificationflowusertalk-topic-renamedosm-instance-build-completed
unsubscribe-bouncehandlerflowusertalk-post-editedosm-instance-reboot-completed
cx-first-translationosm-instance-deleted
cx-tenth-translationosm-projectmembers-add
cx-hundredth-translation
osm-instance-build-completed
osm-instance-reboot-completed
osm-instance-deleted
osm-projectmembers-add
CURRENT DIVISION, ANALYSISURGENT SPLIT, ANALYSISFOLLOW UP SPLIT, ANALYSIS
PROSCONSPROSCONSPROSCONS
Part of the original impetus for the split was the frequency of flow-new-topic, yet that ended up with Messages, where it will not be subject to Automatic Mark as Read.Division, while subjective, is clear and will track with some users' expectations (given the red badge color).The division is subjective. Given differing working styles, some users will disagree with assignment of individual items.Division is relatively clear and explicable and tracks with a hypothetical use case ("I'll just check these all quickly now.")Division, while relatively objective, is nonstandard and may be difficult to label simply for users. ("Alerts" vs. "For Follow Up"?)
Ideas of Urgency and Follow up are mingled in ways that are inconsistent, making this difficult to explain or predict.Factor of urgency may provide an aid to triage ("check these first")Ability to automatically mark as read is appropriate and can be preserved.The main shortcoming of this scheme is that it doesn't give users any information about urgency. So, the question is, which would users prefer to be informed about: "I have some items I can dispatch quickly (which this does), or "I have some items that are important" (for which there is no indication).
Because some "Alert" items require follow-up and are not self-contained (e.g., Mention), ability to Mark as Read on open is of questionable valueFairly close to current schemeWe've discussed adding a "pinning" feature to notifications. When we do, that might make this divsion less valuable.
Because alerts are perceived as Urgent, Thank Yous and other items seem out of place.
GENERAL POINTSGENERAL POINTSGENERAL POINTS
In this scheme, an effort was made to determine the messages that users would want to know right away vs. those that they may regard as less pressing. Urgency was more or less arrived at by consensus in consultation with various team members.What to label these: "Alerts" works reasonably well, since it does carry a connotation of urgency. But many of the Alerts are arguably Messages as well (e.g., edit-user-talk). Suggest "Notices" as not sounding to deprecatory but connoting a lower level of urgency.The division here is based on the idea that some messages are relatively self-contained and can be fully understood based on the info in the notification, while others require follow up simply to understand what happened.Flow-new-topic is marked as requiring follow up. This is a very common type and not that vital, so a good candidate for automatic Mark as Read. If we use this scheme, we might want to reclassify Flow-new-topic, which is questionable for Requires Follow Up anyway...
The red, "Urgent," badge color for Alerts is recommended for this scheme.In labelling the non-urgent items, we need to be careful that some groups (e.g., Translation) don't perceive that we are labelling their activities less important.Talk, Mention and Revert are the most clicked on notification types according to the graph linked to below. So, segregating them For Follow Up seems to make sense. 1
Many of the Urgent (Alert) items require follow-up (e.g., edit-user-talk), so use of automatic Mark as Read is not recommended.Since urgency is not the dividing line, would recommend not using red for Alerts.

The team is currently recommending we start off with the "Urgent / Not Urgent" grouping but is waiting for community feedback.

Further background information:

  • The team has researched some notification-type quantities at a few sample wikis, to better understand the quantities involved at the top end of the spectrum. T113664: Measure the notification types that are most abundantly received at 5 sample wikis and at the spreadsheet in the "Volume" tab (link at the page-bottom)
  • There have been alternative suggestions, for adding either multiple colors to the badge ( T57359 and T115845#1750619 ) or multiple icons for the badge (T58476). These ideas are great at a small scale, but they don't expand well regarding the large variety of notification-types, and the contextual-importance of the different types.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Elitre added a subscriber: Elitre.Feb 16 2016, 11:01 AM
TheDJ added a subscriber: TheDJ.Mar 10 2016, 12:17 PM

i had a discussion about this with someone at the summit, and for me another important division is:
someone contacting me (ping, talk page, direct reply, thank) vs. software notifying me.

Also, i would argue that a revert is not urgent. its usually something that requires de escalation, not faster escalation.

for me another important division is: someone contacting me (ping, talk page, direct reply, thank) vs. software notifying me.

Hi TheDJ. We tried a version like that in our early discussions. You can see it in this first iteration of concepts for the sorting. But it didn't get much interest from team members and others we showed these early ideas to.

Change 285760 had a related patch set uploaded (by Mattflaschen):
Display special: Add which section (curr. Alert v. Msg.) each type's in

https://gerrit.wikimedia.org/r/285760

Change 285760 merged by jenkins-bot:
Display special: Add which section (curr. Alert v. Msg.) each type's in

https://gerrit.wikimedia.org/r/285760

jmatazzoni renamed this task from Revise Sorting of Notifications on the Fly-Out Menu to Revise Sorting of Notifications on the Fly-Out Menus.May 11 2016, 11:35 PM

User feedback and results from the Notifications Survey give us reason to feel confident that the Urgent/Non-urgent sorting scheme discussed above is the best choice and that the sorting of specific items shown below makes sense to users. We can therefore move forward with the following split:

ALERTS

  • edit-user-talk
  • reverted
  • mention
  • user-rights
  • emailuser
  • flow-post-edited
  • flow-mention
  • gather-hide
  • gather-unhide
  • pagetriage-add-maintenance-tag
  • pagetriage-add-deletion-tag
  • ep-student-add-notification
  • ep-instructor-add-notification
  • ep-campus-add-notification
  • ep-online-add-notification
  • unsubscribe-bouncehandler
  • flowusertalk-new-topic
  • flowusertalk-post-reply
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited

NOTICES

  • welcome
  • page-linked
  • flow-new-topic
  • flow-post-reply
  • flow-topic-renamed
  • edit-thank
  • flow-thank
  • gather-approve
  • pagetriage-mark-as-reviewed *
  • ep-course-talk-notification
  • cx-first-translation
  • cx-tenth-translation
  • cx-hundredth-translation
  • osm-instance-build-completed
  • osm-instance-reboot-completed
  • osm-projectmembers-add
  • flow-enabled-on-talkpage

As a reminder, before we make these changes final, we need to remove automatic mark as read T132525, deal with backend changes T132954 and update the badges T115845.

jmatazzoni removed jmatazzoni as the assignee of this task.May 12 2016, 12:05 AM
jmatazzoni added a subscriber: jmatazzoni.

Change 293762 had a related patch set uploaded (by Catrope):
Re-categorize notifications:

https://gerrit.wikimedia.org/r/293762

Change 293763 had a related patch set uploaded (by Catrope):
Re-categorize notifications:

https://gerrit.wikimedia.org/r/293763

Change 293764 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293764

Change 293765 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293765

Change 293766 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293766

Change 293767 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293767

Change 293769 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293769

Change 293771 had a related patch set uploaded (by Catrope):
Re-categorize notifications

https://gerrit.wikimedia.org/r/293771

The following notification types were introduced recently so @jmatazzoni didn't list which section they should go into. For my patches, I had to guess, so I guessed at the following:

  • thank-you-edit ("You've made your Nth edit"): message
  • flow-summary-edited: message
  • flow-description-edited: message
  • flow-topic-resolved: message
  • cx-suggestions-available ("Based on your previous translation of X, new suggestions are now available"): message

Furthermore, Wikibase (Wikidata) is introducing a new notification type called page-connection that is currently planned to be an alert (as it's similar to page-linked) but should be changed to a message once page-linked is also a message.

Deployment schedule as decided by the team:

  1. Mon June 27: Tech News is published -> User-notice
  2. Tue June 28: Merge change, deployed in beta labs
  3. Tue-Thu July 5-7: Change is deployed in production

The following notification types were introduced recently so @jmatazzoni didn't list which section they should go into. For my patches, I had to guess, so I guessed at the following:

  • thank-you-edit ("You've made your Nth edit"): message
  • flow-summary-edited: message
  • flow-description-edited: message
  • flow-topic-resolved: message

Additionally:

  • flowusertalk-summary-edited: alert
  • flowusertalk-description-edited: alert
  • flowusertalk-topic-resolved: alert

I'm not quite sure if these should all be alerts, but the safest guess seemed to me to make all flowusertalk-* types alerts. @jmatazzoni let me know if this is OK or if this should change.

Change 293762 merged by jenkins-bot:
Re-categorize notifications:

https://gerrit.wikimedia.org/r/293762

Change 293767 merged by jenkins-bot:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293767

Change 293771 merged by jenkins-bot:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293771

Change 293769 merged by jenkins-bot:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293769

Change 293764 merged by jenkins-bot:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293764

Change 293763 merged by jenkins-bot:
Re-categorize notifications:

https://gerrit.wikimedia.org/r/293763

Change 293766 merged by jenkins-bot:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293766

SBisson assigned this task to Catrope.Jun 28 2016, 8:57 PM
SBisson moved this task from Needs Review to QA Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 296469 had a related patch set uploaded (by Catrope):
Bump the cache version a second time

https://gerrit.wikimedia.org/r/296469

Change 296469 merged by jenkins-bot:
Bump the cache version a second time

https://gerrit.wikimedia.org/r/296469

Furthermore, Wikibase (Wikidata) is introducing a new notification type called page-connection that is currently planned to be an alert (as it's similar to page-linked) but should be changed to a message once page-linked is also a message.

Done in the latest patch set, thanks for pointing this out.

@Catrope asks:

I'm not quite sure if these should all be alerts, but the safest guess seemed to me to make all flowusertalk-* types alerts. @jmatazzoni let me know if this is OK or if this should change.

Yes, I would think that the flowusertalk types you ask about (list below) should all be Alerts.

  • flowusertalk-summary-edited: alert
  • flowusertalk-description-edited: alert
  • flowusertalk-topic-resolved: alert

So, with those and the new "page-connection" type, the updated list would now look like this:

ALERTS

  • edit-user-talk
  • reverted
  • mention
  • user-rights
  • emailuser
  • flow-post-edited
  • flow-mention
  • gather-hide
  • gather-unhide
  • pagetriage-add-maintenance-tag
  • pagetriage-add-deletion-tag
  • ep-student-add-notification
  • ep-instructor-add-notification
  • ep-campus-add-notification
  • ep-online-add-notification
  • unsubscribe-bouncehandler
  • flowusertalk-new-topic
  • flowusertalk-post-reply
  • flowusertalk-topic-renamed
  • flowusertalk-post-edited
  • flowusertalk-summary-edited
  • flowusertalk-description-edited
  • flowusertalk-topic-resolved

NOTICES

  • welcome
  • page-linked
  • flow-new-topic
  • flow-post-reply
  • flow-topic-renamed
  • edit-thank
  • flow-thank
  • gather-approve
  • pagetriage-mark-as-reviewed *
  • ep-course-talk-notification
  • cx-first-translation
  • cx-tenth-translation
  • cx-hundredth-translation
  • osm-instance-build-completed
  • osm-instance-reboot-completed
  • osm-projectmembers-add
  • flow-enabled-on-talkpage
  • page-connection

@Etonkovidova, did the "Messages" menu get re-labeled as "Notices"?

I filed the re-labelling issues as T139520: Change tooltip 'Your messages' to 'Your notices'

Ah, that's a good idea too. But I was thinking about in the upper left of the panel itself, as below. Should we add that to T139520 (and rename it)? Or fix it here? I don't think renaming this needs to wait for the new badges...

jmatazzoni closed this task as Resolved.Jul 8 2016, 6:21 PM

Change 293765 abandoned by Catrope:
Re-categorize notifications

https://gerrit.wikimedia.org/r/293765

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 20 2016, 2:28 PM